Class UmlAccessVariableValueAction

Declaration :

- C++ : class UmlAccessVariableValueAction : public UmlBaseAccessVariableValueAction
- Java : abstract class UmlAccessVariableValueAction extends UmlBaseAccessVariableValueAction

Directly inherited by : UmlBaseAddVariableValueAction UmlBaseClearVariableValueAction UmlBaseReadVariableValueAction UmlBaseRemoveVariableValueAction UmlBaseWriteVariableValueAction

Artifact : UmlAccessVariableValueAction

Operation UmlAccessVariableValueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlAccessVariableValueAction(in id : item_id, in s : string) :
- C++ : protected: UmlAccessVariableValueAction(void * id, const QCString & s) : UmlBaseAccessVariableValueAction(id, s)
- Java : protected UmlAccessVariableValueAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable